Skip to Content
veriom

List intent source events

GET
/v1/workspaces/{workspace_id}/architecture-intent/sources/{source_id}/history

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
source_id*Source Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/history'
Example Response
{  "has_more": false,  "items": [    {      "action": "string",      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",      "actor_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "reason": "string",      "revision": 0,      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81"    }  ],  "next_cursor": "string"}